#ifndef __RUBRICA_FILE_H
#define __RUBRICA_FILE_H

#include <gnome-xml/tree.h>
#include <gnome-xml/parser.h>

#include "rubrica.h"
#include "modulo.h"
#include "error.h"
#include "dialoghi.h"

/* 
typedef struct _FileRubrica {
  GtkWidget *fs;
  FILE *fp;

  gchar *nomefile;
  gchar *path; 
} FileRubrica;
*/

void rubrica_init_archivio(void);
void rubrica_crea_nuovo_archivio(void);


void rubrica_salva_file(GtkWidget *w, gpointer data);
void rubrica_salva_file_come(GtkWidget *w, gpointer data);
gboolean write_xml_file(gchar *fname);
void rubrica_scrivi_file(GtkWidget *w, GtkFileSelection *fs);
void rubrica_write_elemento_to_xml(xmlNodePtr xmlnode, RubricaItem *);
  

void rubrica_carica_file();
void rubrica_apri_file(GtkWidget *w, GtkFileSelection *fs);
gboolean read_xml_file(gchar *fname);
void parse_doc(xmlDocPtr doc);
void rubrica_load_elemento_from_xml(xmlNodePtr xmlnode, GList *l);

#endif __RUBRICA_FILE_H
